Subject: Re: [Sipping] I-D ACTION:draft-wu-sipping-floor-control-03.txt

From: Gonzalo Camarillo <[email-masked]>
Date: Wed, 26 Feb 2003 12:43:13 +0200

Hi,

the definition of the FL semantics for the grouping framework needs more
elaboration. You need to say whether or not only one control line is
allowed per group and include an IANA considerations section as follows:

IANA Considerations

   IANA needs to register the following new "semantics" attribute for
   the SDP grouping framework [RFC3388]:

   Semantics                  Token      Reference
   -------------------        -----      ---------
   Floor control              FL         [RFCxxxx]

   It should be registered in the SDP parameters registry
   (http://www.iana.org/assignments/sdp-parameters) under Semantics for
   the "group" SDP Attribute.

You should also add IANA considerations for a=moderate

In Section 8.1, you write: "the conference server uses a=moderated line
to mute all media tools of the participant". Does the conference server
set to inactive the SDP direction attributes as well or it leaves them
as they are (e.g., sendrecv)?

Thanks,

Gonzalo

[email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
>         Title           : Use of Session Initiation Protocol (SIP) and Simple
>                           Object Access
>                           Protocol (SOAP) for Conference Floor Control
>         Author(s)       : X. Wu et al.
>         Filename        : draft-wu-sipping-floor-control-03.txt
>         Pages           : 33
>         Date            : 2003-1-15
> 
> During a conference, floor control coordinates simultaneous access to
> shared resource in multimedia conferences. Floor control allows
> applications and users to gain safe and mutually exclusive or non-
> exclusive access to the shared resources. This document defines an
> approach of using Session Initiation Protocol (SIP) event
> notification mechanism and Simple Object Access Protocol (SOAP) to
> perform floor control.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-wu-sipping-floor-control-03.txt
> 
> To remove yourself from the IETF Announcement list, send a message to
> ietf-announce-request with the word unsubscribe in the body of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
>         "get draft-wu-sipping-floor-control-03.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
>         [email-masked].
> In the body type:
>         "FILE /internet-drafts/draft-wu-sipping-floor-control-03.txt".
> 
> NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
> 
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
>   ------------------------------------------------------------------------

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Xiaotao Wu <[email-masked]>
Date: Thu, 27 Feb 2003 15:42:32 -0500 (EST)

inline. thanks!

>    Semantics                  Token      Reference

Thanks! Will add this in.

> as they are (e.g., sendrecv)?

I think the conference server should leave them as they are. The
'a=type:moderated' is for conference attribute in session level. It should
not change the attributes of any media.

Thanks!

-Xiaotao